export const themes = {
  'tokyonight-day': {
    name: 'Tokyo Night (Day)',
    colors: {
      text: '#3760bf',
      subtext: '#5c5f77',
      base: '#eff1f5',
      base2: '#e1e2e7',
    },
  },
  'tokyonight-night': {
    name: 'Tokyo Night (Night)',
    colors: {
      text: '#c0caf5',
      subtext: '#a9b1d6',
      base: '#1a1b26',
      base2: '#24283b',
    },
  },
  'catppuccin-latte': {
    name: 'Catppuccin Latte',
    colors: {
      text: '#4c4f69',
      subtext: '#5c5f77',
      base: '#eff1f5',
      base2: '#e6e9ef',
    },
  },
  'catppuccin-frappe': {
    name: 'Catppuccin Frappe',
    colors: {
      text: '#c6d0f5',
      subtext: '#b5bfe2',
      base: '#303446',
      base2: '#292c3c',
    },
  },
  'catppuccin-macchiato': {
    name: 'Catppuccin Macchiato',
    colors: {
      text: '#cad3f5',
      subtext: '#b8c0e0',
      base: '#24273a',
      base2: '#1e2030',
    },
  },
  'catppuccin-mocha': {
    name: 'Catppuccin Mocha',
    colors: {
      text: '#cdd6f4',
      subtext: '#bac2de',
      base: '#1e1e2e',
      base2: '#181825',
    },
  },
}

export const themesWithoutName = Object.fromEntries(
  Object.entries(themes).map(([key, { name, ...rest }]) => [key, rest]),
)
